#include "flexcop.h"
const char *flexcop_revision_names[] = {
	"FlexCopII",
	"FlexCopIIb",
	"FlexCopIII",
};

const char *flexcop_device_names[] = {
	"AirStar 2 DVB-T",
	"AirStar 2 ATSC",
	"SkyStar 2 DVB-S",
	"SkyStar 2 DVB-S (old version)",
	"CableStar 2 DVB-C",
};

void flexcop_determine_revision(struct flexcop_device *fc)
{
	flexcop_ibi_value v = fc->read_ibi_reg(fc,misc_204);

	switch (v.misc_204.Rev_N_sig_revision_hi) {
		case 0x2:
			deb_info("found a FlexCopII.\n");
			fc->rev = FLEXCOP_II;
			break;
		case 0x3:
			deb_info("found a FlexCopIIb.\n");
			fc->rev = FLEXCOP_IIB;
			break;
		case 0x0: /* TODO */
			deb_info("found a FlexCopIII.\n");
			fc->rev = FLEXCOP_III;
		default:
			err("unkown FlexCop Revision: %x. Please report the linux-dvb@linuxtv.org.",v.misc_204.Rev_N_sig_revision_hi);
			break;
	}
	
	if ((fc->extra_32_hw_pid_filter = v.misc_204.Rev_N_sig_caps))
		deb_info("this FlexCop has the additional 32 hardware pid filter.\n");
	else
		deb_info("this FlexCop has only the 6 basic main hardware pid filter.\n");
	/* bus parts have to decide if hw pid filtering is used or not. */
}
EXPORT_SYMBOL(flexcop_determine_revision);
