/*
 * flexcop.h - private stuff for flexcop-module.
 *
 * see flexcop.c for copyright information.
 *
 */
#ifndef __FLEXCOP_H__
#define __FLEXCOP_H___

#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/moduleparam.h>
#include <linux/pci.h>
#include <linux/version.h>

#include "dmxdev.h"
#include "dvb_demux.h"
#include "dvb_filter.h"
#include "dvb_net.h"
#include "dvb_frontend.h"

#include "flexcop-common.h"

/* Steal from usb.h */
#undef err
#define err(format,  arg...) printk(KERN_ERR     "b2c2-flexcop: " format "\n" , ## arg)
#undef info
#define info(format, arg...) printk(KERN_INFO    "b2c2-flexcop: " format "\n" , ## arg)
#undef warn
#define warn(format, arg...) printk(KERN_WARNING "b2c2-flexcop: " format "\n" , ## arg)

extern int b2c2_flexcop_debug;

/* Per card debug messages */
#define dprintk(level,args...) \
	do { if ((b2c2_flexcop_debug & level)) printk(args); } while (0)

#define deb_info(args...)  dprintk(0x01,args)
#define deb_tuner(args...) dprintk(0x02,args)
#define deb_i2c(args...)   dprintk(0x04,args)

#endif
